[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: yum wont upgrade noarch -> arch-specific



On Mon, Apr 09, 2007 at 02:32:09AM +0200, Michael Schwendt wrote:
> On Sun, 8 Apr 2007 19:13:37 -0500, Michael E Brown wrote:
> 
> > > Well, as I've shown a few hours ago in bugzilla, i386 users have the i386
> > > build (1.2.10), which is the latest in the repo.  And since your newer
> > > i386 build is newer than the noarch build in the needsign queue, the users
> > > would get the newest i386 build again even if the noarch build were
> > > published, too.
> > 
> > This is exactly what I want. I dont see a problem with that. I want the
> > noarch pkg to go away as soon as the noarch->arch yum problem is fixed.
> > For the time being, x86_64 users who already have the noarch pkg
> > installed and do an upgrade will get the newer noarch pkg until yum is
> > fixed.
> 
> Then it won't work, because there is no "newer noarch pkg" for x86_64.
> There only is a newer x86_64 pkg: 1.2.11-1.fc6.2.{x86_64,i386}
> 
> http://buildsys.fedoraproject.org/plague-results/fedora-6-extras/firmware-addon-dell/
> 
> Highest EVR wins version comparison and is published. Older EVR are
> excluded and not published. So, the 1.2.11-1.fc6.1.noarch won't make it
> into the repo, since the 1.fc6.2 release is newer. And for i386 that would
> result in another switch, back from noarch to i386.

Ok, I see, I think. Thanks for being patient.
--
Michael


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]